List Rewards Offers

Returns the cashback offers available to an enrolled payment card for the given rewards program. Pass the program_id from the card’s active enrollment. Optionally provide latitude/longitude (and radius) to surface location-based in-store offers.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payment_card_idstringRequired
External ID of the payment card.
program_idstringRequired
Rewards program ID from the card's active enrollment.

Query parameters

latitudedoubleOptional

Latitude used to surface nearby in-store offers.

longitudedoubleOptional

Longitude used to surface nearby in-store offers.

radiusdoubleOptional
Search radius, in miles, around the provided coordinates.
searchstringOptional
A search term.
limitintegerOptional
Number of results to return per page.
offsetintegerOptional
The initial index from which to return the results.
pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.

Response

countinteger
resultslist of objects
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"